## pango1.0 1.40.14

=== meson_options.txt ===
option('enable_docs',
       description: 'Build API reference for Pango using GTK-Doc',
       type: 'boolean',
       value: false)

## pango1.0 1.8.1-1osso4

=== debian/changelog ===
pango1.0 (1.8.1-1osso4) unstable; urgency=low

  * Bugfixes (N#20703)

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 15 Nov 2005 14:30:14 +0200

pango1.0 (1.8.1-1osso3) unstable; urgency=low

  * Made the fix for bug N#8986

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 10 May 2005 10:39:38 +0300

pango1.0 (1.8.1-1osso2) unstable; urgency=low

  * Fixed bug N#8986 (libexpat.so.1: cannot open shared
    object file).
  * debian/control: A missing build dependency for libexpat was added.

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Mon,  9 May 2005 14:17:48 +0300

pango1.0 (1.8.1-1osso1) unstable; urgency=low

  * Integrated glyphstring cache patch 

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu, 31 Mar 2005 23:56:23 +0300

pango1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * [debian/scripts/vars, debian/sources] Updated for new upstream release.
  * [debian/patches/absolute-attribute.diff] Removed; this is now handled
    upstream in a different way.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun,  6 Mar 2005 09:53:11 +0100

pango1.0 (1.8.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - set myself as maintainer.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 31 Jan 2005 12:34:51 +0100

pango1.0 (1.8.0-2) experimental; urgency=low

  * debian/patches/absolute-attribute.diff:
    - patch to fix absolute fonts (Closes: #289021).

 -- Sebastien Bacher <seb128@debian.org>  Fri,  7 Jan 2005 11:27:16 +0100

pango1.0 (1.8.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    - updated the Build-Depends.
  * debian/po/cs.po:
    - Czech translation from Miroslav Kure <kurem@upcase.inf.upol.cz> 
      (Closes: #283224).
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 29 Dec 2004 17:45:00 +0100

pango1.0 (1.6.0-3) unstable; urgency=low

  * debian/rules:
    - set modver to 1.4.0 (Closes: #281806).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 23 Nov 2004 18:35:04 +0100

pango1.0 (1.6.0-2) unstable; urgency=low

  * GNOME team upload.
  * J.H.M. Dassen (Ray):
    - [debian/rules] Changes from trunk:
      + Derive "modver" value from "major" and "minor" rather than have it
        hardwired.
    - Fixed udeb name for the Hurd.
  * Colin Watson <cjwatson@debian.org> (#274092):
    - binary-arch depends on binary-arch-udeb.
    - Strip udeb!
  * Jordi Mallach:
    - Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Nov 2004 14:41:32 +0100

pango1.0 (1.6.0-1) experimental; urgency=low

  * New upstream release.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 14 Sep 2004 21:37:45 +0200

pango1.0 (1.5.2-1) experimental; urgency=low

  * New upstream development release.
  * [debian/pango.defoma] Fixed logic.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  7 Aug 2004 10:37:12 +0200

pango1.0 (1.5.0-2) experimental; urgency=low

  * debian/rules:
    - modversion is still 1.4.0 since there is not compatibility breakage
      for the moment.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  2 Jul 2004 11:49:31 +0200

pango1.0 (1.5.0-1) experimental; urgency=low

  * New development upstream release.
  * debian/watch: Updated to the unstable branch.
  * debian/pango.defoma: Use patch by Flavio Stanchina
    <flavio.stanchina@tin.it> to fix perl warnings in the defoma
    script. Thanks for the patch! (Closes: #256335)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 28 Jun 2004 13:17:02 +0200

pango1.0 (1.4.0-4) unstable; urgency=high

  * debian/rules:
    + reverted previous change to fix the breakages on ia64 and alpha
      (Closes: #252401).

 -- Sebastien Bacher <seb128@debian.org>  Sat,  5 Jun 2004 15:39:56 +0200

pango1.0 (1.4.0-3) unstable; urgency=low

  * GNOME Team Upload.
  * Upload to unstable (Closes: #238663).
  * Akira TAGOH <tagoh@debian.org>
  + backport from 1.2.5-4
  + debian/pango.defoma:
    - fixed to avoid the regex fails due to unquoted strings.
  + po/tr.po:
    - added Turkish translation.
  * J.H.M. Dassen (Ray) <jdassen@debian.org>:
  + debian/rules: Make the linker work a bit harder so dynamic loading can be
    done faster; safety measure: ensure the build aborts when the library
    still has references to undefined symbols. 

 -- Sebastien Bacher <seb128@debian.org>  Sat, 22 May 2004 14:52:43 +0200

pango1.0 (1.4.0-2) experimental; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  + backport from 1.2.5-3
    - po/nl.po: added Dutch translation.
    - debian/control: fixed the dependencies for the separated xlibs-dev.
    - debian/rules: don't specify the modules for --with-included-modules for
      the static build. that bug was already gone.

 -- Akira TAGOH <tagoh@debian.org>  Tue, 20 Apr 2004 00:23:25 +0900

pango1.0 (1.4.0-1) experimental; urgency=low

  * New upstream release (Closes: #238663).
  * debian/pango-querymodules.1:
    + removed since included in the new upstream release.
  * debian/patches/000_pango1.0-1.2.5-fix-thai-sharper.patch:
    + removed.
  * debian/patches/001_new_freetype_build_system.patch:
    + removed.
  * debian/rules:     
     - don't claim the newer shlibs.
     - updated modules list.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 18 Mar 2004 21:07:49 +0100

pango1.0 (1.2.5-5) unstable; urgency=low

  * Akira TAGOH <tagoh@debian.org>
  + debian/pango.defoma:
    - fixed to avoid the regex fails due to unquoted strings.
      Thanks to Flavio Stanchina <flavio.stanchina@tin.it>
      (closes: Bug#247198)
  + po/tr.po:
    - added Turkish translation. (closes: Bug#246079)
      Thanks to Gürkan Aslan <gurkan@iaslan.com>

 -- Akira TAGOH <tagoh@debian.org>  Mon, 10 May 2004 02:34:54 +0900

pango1.0 (1.2.5-3) unstable; urgency=low

  * Ack to NMU (closes: Bug#221431, Bug#220988)
  * po/nl.po: added Dutch translation.
    thanks to Luk Claes <luk.claes@ugent.be> (closes: Bug#244321)


=== debian/control ===
Source: pango1.0
Section: libs
Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Ondřej Surý <ondrej@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Takuo KITAME <kitame@debian.org>
Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 2.6.0), pkg-config, defoma (>= 0.11.1), libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools
Standards-Version: 3.6.1

Package: libpango1.0-0
Section: libs
Architecture: any
Depends: libpango1.0-common (>= ${Source-Version}), ${shlibs:Depends}
Description: Layout and rendering of internationalized text
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpango1.0-udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Provides: libpango1.0-0
Description: Layout and rendering of internationalized text
 This is a udeb, or a microdeb, for the debian-installer.
 .
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the shared libraries.

Package: libpango1.0-common
Section: misc
Architecture: any
Depends: debconf, defoma (>= 0.11.1), fontconfig (>= 2.1.91), libexpat1, ${shlibs:Depends}
Recommends: x-ttcidfont-conf
Suggests: ttf-kochi-gothic, ttf-kochi-mincho, ttf-thryomanes, ttf-baekmuk, ttf-arphic-gbsn00lp, ttf-arphic-bsmi00lp, ttf-arphic-gkai00mp, ttf-arphic-bkai00mp
Replaces: libpango0, libpango-common (<< 1.0.0)
Description: Modules and configuration files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the Pango modules and the configuration files
 which Pango needs.

Package: libpango1.0-dev
Section: libdevel
Architecture: any
Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 2.4.1-2), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
Suggests: libpango1.0-doc
Replaces: libpango-dev
Conflicts: libpango-dev
Description: Development files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the header files and some files needed for development
 with Pango.

Package: libpango1.0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libpango1.0-0 (= ${Source-Version})
Description: The Pango library and debugging symbols
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains unstripped shared libraries. it is provided
 primarily to provide a backtrace with names in a debugger, this makes
 it somewhat easier to interpret core dumps. The libraries are installed
 in /usr/lib/debug and can be used by placing that directory in
 LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libpango1.0-doc
Section: doc
Architecture: all
Depends: lynx | www-browser
Replaces: libpango0-dev, libpango-doc
Conflicts: libpango-doc
Suggests: libglib2.0-doc
Description: Documentation files for the Pango
 Pango is a library for layout and rendering of text, with an emphasis
 on internationalization. Pango can be used anywhere that text layout is
 needed. however, most of the work on Pango-1.0 was done using the GTK+
 widget toolkit as a test platform. Pango forms the core of text and
 font handling for GTK+-2.0.
 .
 Pango is designed to be modular; the core Pango layout can be used with
 four different font backends:
  - Core X windowing system fonts
  - Client-side fonts on X using the Xft library
  - Direct rendering of scalable fonts using the FreeType library
  - Native fonts on Microsoft backends
 .
 This package contains the HTML documentation for the Pango in
 /usr/share/doc/libpango1.0-doc/ .

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

include debian/scripts/vars
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
BUILD_DIR=$(SOURCE_DIR)/$(TAR_DIR)
BUILD_SHARED_DIR=$(SOURCE_DIR)/$(TAR_DIR)-shared
BUILD_STATIC_DIR=$(SOURCE_DIR)/$(TAR_DIR)-static
BUILD_UDEB_DIR=$(SOURCE_DIR)/$(TAR_DIR)-udeb

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

##
debversion=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //')
version=$(shell echo ${debversion} | sed -e 's/-[A-Za-z0-9\.]*$$//g' -e 's/+[A-Za-z0-9\.]*$$//g')
major=$(shell echo ${version} | sed -e 's/\(^[0-9]*\)\.[0-9]*\.[0-9]*$$/\1/')
minor=$(shell echo ${version} | sed -e 's/^[0-9]*\.\([0-9]*\)\.[0-9]*$$/\1/')
rel=$(shell echo ${version} | sed -e 's/^[0-9]*\.[0-9]*\.\([0-9]*\)$$/\1/')
shortver=$(major).$(minor)
apiver=1.0
soname=0
glibver=2.0
modver=1.4.0
libpath=$(CURDIR)/$(BUILD_SHARED_DIR)/pango/.libs
udeblibpath=$(CURDIR)/$(BUILD_UDEB_DIR)/pango/.libs
udebname=libpango$(apiver)-udeb_$(debversion)_$(shell dpkg-architecture -qDEB_BUILD_ARCH).udeb


debian/control:
	dh_testdir

	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' -e 's/@GNOME_TEAM@/${uploaders}/' $@.in > $@

update-po: debian/po/templates.pot
debian/po/templates.pot: debian/libpango1.0-common.templates
	debconf2po-update

extract: $(STAMP_DIR)/extract-stamp
$(STAMP_DIR)/extract-stamp:
	dh_testdir

	$(MAKE) -f debian/sys-build.mk source.make

	-test -r /usr/share/misc/config.sub && \
	   cp -f /usr/share/misc/config.sub $(BUILD_DIR)/config.sub
	-test -r /usr/share/misc/config.guess && \
	   cp -f /usr/share/misc/config.guess $(BUILD_DIR)/config.guess

	touch $@

configure-shared: extract $(STAMP_DIR)/configure-shared-stamp
$(STAMP_DIR)/configure-shared-stamp:
	dh_testdir

	cp -ar $(BUILD_DIR) $(BUILD_SHARED_DIR)

	cd $(BUILD_SHARED_DIR) && \
	./configure	--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--with-html-dir=\$${prefix}/share/doc/libpango$(apiver)-doc \
			--sysconfdir=/etc \
			--enable-shared \
			--disable-static

	cd $(BUILD_SHARED_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure-static: extract $(STAMP_DIR)/configure-static-stamp
$(STAMP_DIR)/configure-static-stamp:
	dh_testdir

	cp -ar $(BUILD_DIR) $(BUILD_STATIC_DIR)

	cd $(BUILD_STATIC_DIR) && \
	./configure	--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--disable-shared \
			--with-included-modules \
			--enable-static

	cd $(BUILD_STATIC_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure-udeb: extract $(STAMP_DIR)/configure-udeb-stamp
$(STAMP_DIR)/configure-udeb-stamp:
	dh_testdir

	cp -ar $(BUILD_DIR) $(BUILD_UDEB_DIR)

	cd $(BUILD_UDEB_DIR) && \
	./configure	--host=$(DEB_HOST_GNU_TYPE) \
			--build=$(DEB_BUILD_GNU_TYPE) \
			--prefix=/usr \
			--mandir=\$${prefix}/share/man \
			--infodir=\$${prefix}/share/info \
			--sysconfdir=/etc \
			--without-x \
			--enable-shared \
			--disable-debug

	cd $(BUILD_UDEB_DIR) && \
	sed < libtool > libtool-2 \
	 -e 's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' \
	 -e '/^archive_cmds="/s/"$$/ \\$$deplibs"/' && \
	mv libtool-2 libtool

	touch $@

configure: configure-static configure-shared configure-udeb

build-shared: debian/control update-po configure-shared $(STAMP_DIR)/build-shared-stamp
$(STAMP_DIR)/build-shared-stamp:
	dh_testdir

	-rm -f $(STAMP_DIR)/install-test-stamp
	$(MAKE) -C $(BUILD_SHARED_DIR) \
		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)

	touch $@

build-static: debian/control update-po configure-static $(STAMP_DIR)/build-static-stamp
$(STAMP_DIR)/build-static-stamp:
	dh_testdir

	-rm -f $(STAMP_DIR)/install-test-stamp
	$(MAKE) -C $(BUILD_STATIC_DIR)

	touch $@

build-udeb: debian/control update-po configure-udeb $(STAMP_DIR)/build-udeb-stamp
$(STAMP_DIR)/build-udeb-stamp:
	dh_testdir

	-rm -f $(STAMP_DIR)/install-test-stamp
	$(MAKE) -C $(BUILD_UDEB_DIR) \
		LD_LIBRARY_PATH=$(udeblibpath):$(LD_LIBRARY_PATH)

	touch $@

build: build-static build-shared

clean:: debian/control update-po
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	$(MAKE) -f debian/sys-build.mk source.clean
	-rm -rf $(BUILD_SHARED_DIR)
	-rm -rf $(BUILD_STATIC_DIR)
	-rm -rf $(BUILD_UDEB_DIR)
	-rm -rf $(STAMP_DIR)

	dh_clean

install-test: $(STAMP_DIR)/install-test-stamp
$(STAMP_DIR)/install-test-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# generating debian files from .in
	for f in `find debian/ -name "[^c]*.in"`; do \
		sed -e "s/@VERSION@/${version}/g" -e "s/@MODVER@/${modver}/g" $$f > `echo $$f | sed -e "s/\.in//"`; \
	done

	touch $@

install-shared: build-shared install-test
	$(MAKE) -C $(BUILD_SHARED_DIR) install \
		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname) \
		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)

install-static: build-static install-test
	$(MAKE) -C $(BUILD_STATIC_DIR) install \
		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname)

install-udeb: build-udeb install-test
	$(MAKE) -C $(BUILD_UDEB_DIR) install \
		DESTDIR=$(CURDIR)/debian/tmp \
		LD_LIBRARY_PATH=$(udeblibpath):$(LD_LIBRARY_PATH)

	# clean the unnecessary files up
	rm -rf debian/tmp/usr/share/gtk-doc

	dh_movefiles
	-rm -rf $(CURDIR)/debian/libpango$(apiver)-udeb/usr/share/doc

	# create pango.modules
	mkdir -p $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango
	LD_LIBRARY_PATH=$(udeblibpath):$(LD_LIBRARY_PATH)	\
	$(BUILD_UDEB_DIR)/pango/pango-querymodules		\
		$(CURDIR)/debian/libpango$(apiver)-udeb/usr/lib/pango/$(modver)/modules/*.so \
		> $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango/pango.modules.tmp
	sed -e 's,^${CURDIR}/debian/libpango${apiver}-udeb,,g' $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango/pango.modules.tmp > $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango/pango.modules
	rm -f $(CURDIR)/debian/libpango$(apiver)-udeb/etc/pango/pango.modules.tmp

	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null

	# don't ship pangox.aliases
	rm -f debian/libpango$(apiver)-udeb/etc/pango/pangox.aliases

install: install-static install-shared
	# for -dbg
	-rm -rf $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
	mkdir -p $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
	for l in `find $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib -name 'lib*.so*'`; do \
		cp -vdf $$l \
			$(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug/; \
	done

	# for defoma
	install -m 644 $(CURDIR)/debian/pango.defoma \
		       $(CURDIR)/debian/libpango$(apiver)-common/usr/share/defoma/scripts
	install -m 644 $(CURDIR)/debian/defoma.conf \
		       $(CURDIR)/debian/libpango$(apiver)-common/etc/defoma/config/pango.conf

	# in debian/
	install -m 755 $(CURDIR)/debian/update-pango-modules \
		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
	install -m 755 $(CURDIR)/debian/update-pangox-aliases \

## pango1.0 1.8.1-1osso10

=== debian/changelog ===
pango1.0 (1.8.1-1osso10) unstable; urgency=low

  * revert patch for line breaking code + dependency to glib 2.10  ...

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 11 May 2006 10:17:11 +0300

pango1.0 (1.8.1-1osso9) unstable; urgency=low

  * change to debian scripts, remove defoma dependency 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed,  3 May 2006 15:42:23 +0300

pango1.0 (1.8.1-1osso8) unstable; urgency=low

  * fixed glib dependency to 2.10 (because of definitions for unicode) 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed,  3 May 2006 10:45:28 +0300

pango1.0 (1.8.1-1osso7) unstable; urgency=low

  * Backporting line breaking code from new pango, fixes issue with
    pango_layout_get_pixel_size call from FKB. Disabled defoma dependency.

 -- Tapani Palli <tapani.palli@nokia.com>  Tue,  2 May 2006 14:34:39 +0300

pango1.0 (1.8.1-1osso6) unstable; urgency=low

  * added thumb code generation flags 

 -- Tapani Palli <tapani.palli@nokia.com>  Mon, 24 Apr 2006 13:53:29 +0300

pango1.0 (1.8.1-1osso5) unstable; urgency=low

  * upstream memory optimization patches (N#22863)

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 23 Feb 2006 14:04:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Sebastien Bacher <seb128@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Akira TAGOH <tagoh@debian.org>, Andreas Rottmann <rotty@debian.org>, Andrew Lau <netsnipe@users.sourceforge.net>, Carlos Perelló Marín <carlos@pemas.net>, Edd Dumbill <ejad@debian.org>, Emil Soleyman-Zomalan <emil@nishra.com>, Gustavo Noronha Silva <kov@debian.org>, J.H.M. Dassen (Ray) <jdassen@debian.org>, Johannes Rohr <j.rohr@comlink.org>, Jordi Mallach <jordi@debian.org>, Jose Carlos Garcia Sogo <jsogo@debian.org>, Josselin Mouette <joss@debian.org>, Ondřej Surý <ondrej@debian.org>, Rob Bradford <rob@debianplanet.org>, Rob Taylor <robtaylor@fastmail.fm>, Robert McQueen <robot101@debian.org>, Ross Burton <ross@debian.org>, Takuo KITAME <kitame@debian.org>
-Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 2.6.0), pkg-config, defoma (>= 0.11.1), libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools
+Maintainer: Tapani Palli <tapani.palli@nokia.com>
+Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 1.8.1), pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools
 Standards-Version: 3.6.1
 
 Package: libpango1.0-0
@@ -51,7 +50,7 @@
 Package: libpango1.0-common
 Section: misc
 Architecture: any
-Depends: debconf, defoma (>= 0.11.1), fontconfig (>= 2.1.91), libexpat1, ${shlibs:Depends}
+Depends: debconf, fontconfig (>= 2.1.91), libexpat1, ${shlibs:Depends}
 Recommends: x-ttcidfont-conf
 Suggests: ttf-kochi-gothic, ttf-kochi-mincho, ttf-thryomanes, ttf-baekmuk, ttf-arphic-gbsn00lp, ttf-arphic-bsmi00lp, ttf-arphic-gkai00mp, ttf-arphic-bkai00mp
 Replaces: libpango0, libpango-common (<< 1.0.0)
@@ -75,7 +74,7 @@
 Package: libpango1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 2.4.1-2), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
+Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 1.8.1), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
 Suggests: libpango1.0-doc
 Replaces: libpango-dev
 Conflicts: libpango-dev

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,6 @@
 # GNU copyright 1997 to 1999 by Joey Hess.
 
 include debian/scripts/vars
-include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 BUILD_DIR=$(SOURCE_DIR)/$(TAR_DIR)
 BUILD_SHARED_DIR=$(SOURCE_DIR)/$(TAR_DIR)-shared
 BUILD_STATIC_DIR=$(SOURCE_DIR)/$(TAR_DIR)-static
@@ -23,9 +22,17 @@
 else
 	CFLAGS += -O2
 endif
+
+# Use soft-float and thumb mode if it enabled. 
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
+export CFLAGS
 
 ##
 debversion=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //')
@@ -46,7 +53,7 @@
 debian/control:
 	dh_testdir
 
-	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' -e 's/@GNOME_TEAM@/${uploaders}/' $@.in > $@
+	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' $@.in > $@
 
 update-po: debian/po/templates.pot
 debian/po/templates.pot: debian/libpango1.0-common.templates
@@ -244,12 +251,11 @@
 	done
 
 	# for defoma
-	install -m 644 $(CURDIR)/debian/pango.defoma \
+	#install -m 644 $(CURDIR)/debian/pango.defoma \
 		       $(CURDIR)/debian/libpango$(apiver)-common/usr/share/defoma/scripts
-	install -m 644 $(CURDIR)/debian/defoma.conf \
+	#install -m 644 $(CURDIR)/debian/defoma.conf \
 		       $(CURDIR)/debian/libpango$(apiver)-common/etc/defoma/config/pango.conf
 
 	# in debian/
 	install -m 755 $(CURDIR)/debian/update-pango-modules \
 		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
-	install -m 755 $(CURDIR)/debian/update-pangox-aliases \

## pango1.0 1.8.1-1osso16

=== debian/changelog ===
pango1.0 (1.8.1-1osso16) unstable; urgency=low

  * provide debug package containing only symbols (NOBITS)
  * Fixes: NB#40542 

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 21 Sep 2006 16:13:19 +0300

pango1.0 (1.8.1-1osso15) unstable; urgency=low

  * took away one useless patch to configure.ac 

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 31 Aug 2006 10:31:18 +0300

pango1.0 (1.8.1-1osso14) unstable; urgency=low

  * disabled all other modules except basic, fixes NB#38278 

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 24 Aug 2006 15:46:24 +0300

pango1.0 (1.8.1-1osso13) unstable; urgency=low

  * applied patch for line breaking, fixes NB#31607
  * enabled 'g' in compilation to get .debug_frame, fixes #NB35625

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 26 Jul 2006 16:43:56 +0300

pango1.0 (1.8.1-1osso12) unstable; urgency=low

  * enable thumb code generation 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 24 May 2006 14:05:35 +0300

pango1.0 (1.8.1-1osso11) unstable; urgency=low

  * disabling thumb flag temporarily

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 24 May 2006 14:05:32 +0300

=== debian/control ===
--- 
+++ 
@@ -95,7 +95,7 @@
  This package contains the header files and some files needed for development
  with Pango.
 
-Package: libpango1.0-dbg
+Package: libpango1.0-0-dbg
 Section: libdevel
 Priority: extra
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,9 @@
 
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
+	CFLAGS += -O0 -g
 else
-	CFLAGS += -O2
+	CFLAGS += -O2 -g
 endif
 
 # Use soft-float and thumb mode if it enabled. 
@@ -87,7 +87,8 @@
 			--with-html-dir=\$${prefix}/share/doc/libpango$(apiver)-doc \
 			--sysconfdir=/etc \
 			--enable-shared \
-			--disable-static
+			--disable-static \
+			--with-included-modules=basic-fc,basic-win32,basic-x
 
 	cd $(BUILD_SHARED_DIR) && \
 	sed < libtool > libtool-2 \
@@ -111,8 +112,8 @@
 			--infodir=\$${prefix}/share/info \
 			--sysconfdir=/etc \
 			--disable-shared \
-			--with-included-modules \
-			--enable-static
+			--enable-static \
+			--with-included-modules=basic-fc,basic-win32,basic-x
 
 	cd $(BUILD_STATIC_DIR) && \
 	sed < libtool > libtool-2 \
@@ -137,7 +138,8 @@
 			--sysconfdir=/etc \
 			--without-x \
 			--enable-shared \
-			--disable-debug
+			--disable-debug \
+			--with-included-modules=basic-fc,basic-win32,basic-x
 
 	cd $(BUILD_UDEB_DIR) && \
 	sed < libtool > libtool-2 \
@@ -243,9 +245,9 @@
 
 install: install-static install-shared
 	# for -dbg
-	-rm -rf $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
-	mkdir -p $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
-	for l in `find $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib -name 'lib*.so*'`; do \
+	#-rm -rf $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
+	#mkdir -p $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
+	#for l in `find $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib -name 'lib*.so*'`; do \
 		cp -vdf $$l \
 			$(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug/; \
 	done
@@ -256,6 +258,3 @@
 	#install -m 644 $(CURDIR)/debian/defoma.conf \
 		       $(CURDIR)/debian/libpango$(apiver)-common/etc/defoma/config/pango.conf
 
-	# in debian/
-	install -m 755 $(CURDIR)/debian/update-pango-modules \
-		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/

## pango1.0 1.8.1-1osso16.sardine1

=== debian/changelog ===
pango1.0 (1.8.1-1osso16.sardine1) unstable; urgency=low

  * Add tolerant-break-types.patch to cope with new break types returned
    by glib 2.10.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 18 Oct 2006 20:20:04 +0300

## pango1.0 1.8.1-1osso18

=== debian/changelog ===
pango1.0 (1.8.1-1osso18) unstable; urgency=low

  * take away self-dependency, don't build -udeb!

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 30 Nov 2006 13:57:49 +0200

pango1.0 (1.8.1-1osso17) unstable; urgency=low

  * fix to _really_ have debug symbols ...
  * Fixes: NB#35625 

 -- Tapani Palli <tapani.palli@nokia.com>  Fri, 17 Nov 2006 15:55:21 +0200

## pango1.0 1.8.1-1osso19

=== debian/changelog ===
pango1.0 (1.8.1-1osso19) unstable; urgency=low

  * use hw floating point if available
  * Fixes: NB#50600 

 -- Tapani Pälli <tapani.palli@nokia.com>  Tue, 16 Jan 2007 08:37:14 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,11 +23,15 @@
 	CFLAGS += -O2 -g
 endif
 
+# Use hardware floating point
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
 # Use soft-float and thumb mode if it enabled. 
+else
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
-
+endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -244,17 +248,14 @@
 	rm -f debian/libpango$(apiver)-udeb/etc/pango/pangox.aliases
 
 install: install-static install-shared
-	# for -dbg
-	#-rm -rf $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
-	#mkdir -p $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug
-	#for l in `find $(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib -name 'lib*.so*'`; do \
-		cp -vdf $$l \
-			$(CURDIR)/debian/libpango$(apiver)-$(soname)/usr/lib/debug/; \
-	done
-
-	# for defoma
-	#install -m 644 $(CURDIR)/debian/pango.defoma \
-		       $(CURDIR)/debian/libpango$(apiver)-common/usr/share/defoma/scripts
-	#install -m 644 $(CURDIR)/debian/defoma.conf \
-		       $(CURDIR)/debian/libpango$(apiver)-common/etc/defoma/config/pango.conf
-
+	# in debian/
+	install -m 755 $(CURDIR)/debian/update-pango-modules \
+		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
+
+	# clean the unnecessary files up
+	rm -rf debian/libpango$(apiver)-$(soname)/usr/share/gtk-doc
+
+	dh_movefiles --sourcedir=debian/libpango$(apiver)-$(soname) -Nlibpango$(apiver)-udeb
+	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null
+
+	# don't ship pango.modules and pangox.aliases

## pango1.0 1.8.1-1osso20

=== debian/changelog ===
pango1.0 (1.8.1-1osso20) unstable; urgency=low

  * revert hw floating point patch due to rather large memory tradeoff it
    caused
  * Fixes: NB#50866

 -- Tapani Pälli <tapani.palli@nokia.com>  Mon, 29 Jan 2007 13:08:42 +0200

=== debian/control ===
--- 
+++ 
@@ -20,28 +20,6 @@
  four different font backends:
   - Core X windowing system fonts
   - Client-side fonts on X using the Xft library
-  - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends
- .
- This package contains the shared libraries.
-
-Package: libpango1.0-udeb
-Section: debian-installer
-Priority: optional
-Architecture: any
-Depends: ${shlibs:Depends}
-Provides: libpango1.0-0
-Description: Layout and rendering of internationalized text
- This is a udeb, or a microdeb, for the debian-installer.
- .
- Pango is a library for layout and rendering of text, with an emphasis
- on internationalization. Pango can be used anywhere that text layout is
- needed. however, most of the work on Pango-1.0 was done using the GTK+
- widget toolkit as a test platform. Pango forms the core of text and
- font handling for GTK+-2.0.
- .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
   - Direct rendering of scalable fonts using the FreeType library
   - Native fonts on Microsoft backends
  .

## pango1.0 1.14.7-1osso1

=== debian/changelog ===
pango1.0 (1.14.7-1osso1) unstable; urgency=low

  * version upgrade to 1.14.7 

 -- Tapani Palli <tapani.palli@nokia.com>  Mon, 30 Oct 2006 10:09:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,11 @@
 	CFLAGS += -O2 -g
 endif
 
-# Use hardware floating point
-ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
 # Use soft-float and thumb mode if it enabled. 
-else
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
-endif
+
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -259,3 +255,6 @@
 	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null
 
 	# don't ship pango.modules and pangox.aliases
+	#rm -f debian/libpango$(apiver)-common/etc/pango/pango.modules
+	rm -f debian/libpango$(apiver)-common/etc/pango/pangox.aliases
+

=== debian/watch ===
version=2
ftp://ftp.gnome.org/pub/GNOME/sources/pango/1.8/ \
	pango-(.*)\.tar\.gz \
	debian uupdate

## pango1.0 1.14.7-1osso2

=== debian/changelog ===
pango1.0 (1.14.7-1osso2) unstable; urgency=low

  * cleaning up debian/rules, build only shared library 

 -- Tapani Palli <tapani.palli@nokia.com>  Tue, 23 Jan 2007 14:55:56 +0200

## pango1.0 1.14.7-1osso3

=== debian/changelog ===
pango1.0 (1.14.7-1osso3) unstable; urgency=low

  * do not pack .la files to dev package 

 -- Tapani Palli <tapani.palli@nokia.com>  Wed, 31 Jan 2007 12:52:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 debian/control:
 	dh_testdir
 
-	sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' $@.in > $@
+	#sed -e 's/@SONAME@/${soname}/g' -e 's/@VERSION@/${version}/g' $@.in > $@
 
 update-po: debian/po/templates.pot
 debian/po/templates.pot: debian/libpango1.0-common.templates
@@ -149,7 +149,7 @@
 
 	touch $@
 
-configure: configure-static configure-shared configure-udeb
+configure: configure-shared
 
 build-shared: debian/control update-po configure-shared $(STAMP_DIR)/build-shared-stamp
 $(STAMP_DIR)/build-shared-stamp:
@@ -180,7 +180,7 @@
 
 	touch $@
 
-build: build-static build-shared
+build: build-shared
 
 clean:: debian/control update-po
 	dh_testdir
@@ -243,7 +243,7 @@
 	# don't ship pangox.aliases
 	rm -f debian/libpango$(apiver)-udeb/etc/pango/pangox.aliases
 
-install: install-static install-shared
+install: install-shared
 	# in debian/
 	install -m 755 $(CURDIR)/debian/update-pango-modules \
 		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
@@ -258,3 +258,5 @@
 	#rm -f debian/libpango$(apiver)-common/etc/pango/pango.modules
 	rm -f debian/libpango$(apiver)-common/etc/pango/pangox.aliases
 
+# Build architecture-independent files here.
+binary-indep: build install

## pango1.0 1.14.10-1osso4

=== debian/changelog ===
pango1.0 (1.14.10-1osso4) unstable; urgency=low

  * sync with upstream, pangocairo thread fixes, fix to ellipsize when width
    or indentation is changed (gnome bugzilla 326099)

 -- Tapani Palli <tapani.palli@nokia.com>  Tue,  6 Feb 2007 13:06:09 +0200

## pango1.0 1.16.4-1osso1

=== debian/changelog ===
pango1.0 (1.16.4-1osso1) unstable; urgency=low

  * new upstream release

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Fri, 22 May 2007 08:13:02 +0200

pango1.0 (1.14.10-1osso4.2) UNRELEASED; urgency=low

  * NOT RELEASED YET

  * debian/rules: Do not compress index.sgml files so that gtkdoc-fixxref can
    access those and generate better cross reference when building gtk+ API
    docs.

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Fri, 23 Mar 2007 08:50:02 +0200

pango1.0 (1.14.10-1osso4.1) unstable; urgency=low

  * Increasing the version, the rebuilding is needed with libdbus-1-3

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Mon,  26 Feb 2007 14:25:00 +0200

## pango1.0 1.16.4-1osso3

=== debian/changelog ===
pango1.0 (1.16.4-1osso3) unstable; urgency=low

  * Enable floating point. Patch by Leonid Moiseichuk. Fixes: NB#61989

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Thu, 30 Aug 2007 17:34:51 +0300

pango1.0 (1.16.4-1osso2) unstable; urgency=low

  * Fix packaging to not include .la files

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Fri, 31 May 2007 15:48:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Tapani Palli <tapani.palli@nokia.com>
-Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 1.8.1), pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools
+Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 2.10.0), pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools, libcairo2-dev (>= 1.2.2)
 Standards-Version: 3.6.1
 
 Package: libpango1.0-0
@@ -52,7 +52,7 @@
 Package: libpango1.0-dev
 Section: libdevel
 Architecture: any
-Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 1.8.1), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
+Depends: libpango1.0-0 (= ${Source-Version}), libglib2.0-dev (>= 2.10.0), libfreetype6-dev (>= 2.1.3), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91)
 Suggests: libpango1.0-doc
 Replaces: libpango-dev
 Conflicts: libpango-dev
@@ -78,26 +78,12 @@
 Priority: extra
 Architecture: any
 Depends: libpango1.0-0 (= ${Source-Version})
-Description: The Pango library and debugging symbols
+Description: The Pango library debugging symbols
  Pango is a library for layout and rendering of text, with an emphasis
  on internationalization. Pango can be used anywhere that text layout is
  needed. however, most of the work on Pango-1.0 was done using the GTK+
  widget toolkit as a test platform. Pango forms the core of text and
  font handling for GTK+-2.0.
- .
- Pango is designed to be modular; the core Pango layout can be used with
- four different font backends:
-  - Core X windowing system fonts
-  - Client-side fonts on X using the Xft library
-  - Direct rendering of scalable fonts using the FreeType library
-  - Native fonts on Microsoft backends
- .
- This package contains unstripped shared libraries. it is provided
- primarily to provide a backtrace with names in a debugger, this makes
- it somewhat easier to interpret core dumps. The libraries are installed
- in /usr/lib/debug and can be used by placing that directory in
- LD_LIBRARY_PATH.
- Most people will not need this package.
 
 Package: libpango1.0-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -23,9 +23,14 @@
 	CFLAGS += -O2 -g
 endif
 
-# Use soft-float and thumb mode if it enabled. 
+# Prefer hardware floating point if enabled
+ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
+else
+# Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
+endif
 endif
 
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
@@ -211,12 +216,12 @@
 
 install-shared: build-shared install-test
 	$(MAKE) -C $(BUILD_SHARED_DIR) install \
-		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname) \
+		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname)-tmp \
 		LD_LIBRARY_PATH=$(libpath):$(LD_LIBRARY_PATH)
 
 install-static: build-static install-test
 	$(MAKE) -C $(BUILD_STATIC_DIR) install \
-		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname)
+		DESTDIR=$(CURDIR)/debian/libpango$(apiver)-$(soname)-tmp
 
 install-udeb: build-udeb install-test
 	$(MAKE) -C $(BUILD_UDEB_DIR) install \
@@ -249,14 +254,9 @@
 		       $(CURDIR)/debian/libpango$(apiver)-common/usr/sbin/
 
 	# clean the unnecessary files up
-	rm -rf debian/libpango$(apiver)-$(soname)/usr/share/gtk-doc
-
-	dh_movefiles --sourcedir=debian/libpango$(apiver)-$(soname) -Nlibpango$(apiver)-udeb
+	rm -rf debian/libpango$(apiver)-$(soname)-tmp/usr/share/gtk-doc
+
+	dh_movefiles --sourcedir=debian/libpango$(apiver)-$(soname)-tmp -Nlibpango$(apiver)-udeb
 	-find $(CURDIR)/debian/ -type d -empty ! -regex '.*/var.*' -prune | xargs rmdir -p 2>&1 > /dev/null
 
 	# don't ship pango.modules and pangox.aliases
-	#rm -f debian/libpango$(apiver)-common/etc/pango/pango.modules
-	rm -f debian/libpango$(apiver)-common/etc/pango/pangox.aliases
-
-# Build architecture-independent files here.
-binary-indep: build install

## pango1.0 1.16.4-1osso4

=== debian/changelog ===
pango1.0 (1.16.4-1osso4) unstable; urgency=low

  *  Updated maintainer in contol file.
  *  Add a patch backporting upstream fix for gnome bugzilla 462420 (Clicking
     on pixbuf should move the cursor to the position nearest to the click
     point. Fixes: #NB64784

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Tue,  4 Sep 2007 15:52:15 +0300

## pango1.0 1.16.4-1osso5

=== debian/changelog ===
pango1.0 (1.16.4-1osso5) unstable; urgency=low

  *  Fix debug packages build. Fixes: NB#70471

 -- Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>  Tue,  20 Sep 2007 18:13:15 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pango1.0
 Section: libs
 Priority: optional
-Maintainer: Tapani Palli <tapani.palli@nokia.com>
+Maintainer: Fernando Herrera <fernando.herrera-de-las-heras@nokia.com>
 Build-Depends: debhelper (>= 4.1.16), libfreetype6-dev (>= 2.1.7), libx11-dev | xlibs-dev, libxrender-dev | xlibs-dev, libxt-dev | xlibs-dev, libglib2.0-dev (>= 2.10.0), pkg-config, libxft-dev, libfontconfig1-dev (>= 2.1.91), autotools-dev, po-debconf, gnome-pkg-tools, libcairo2-dev (>= 1.2.2)
 Standards-Version: 3.6.1
